/<template>
  <el-menu
    :default-active="activeIndex"
    class="el-menu-demo menu-container"
    mode="horizontal"
    @select="handleSelect"
  >
    <router-link to="/"
      ><el-menu-item index="1">关于项目</el-menu-item></router-link
    >
    <el-menu-item index="2">创意工坊</el-menu-item>
    <template v-if="!isLogin">
      <router-link to="login"
        ><el-menu-item index="3">登录</el-menu-item></router-link
      >
      <router-link to="register"
        ><el-menu-item index="4">注册</el-menu-item></router-link
      >
    </template>
    <template v-else>
      <router-link to="home"
        ><el-menu-item index="7">主页</el-menu-item>
      </router-link>
      <el-menu-item index="6">{{ userName }}</el-menu-item>
      <el-menu-item index="5" @click="logout">登出</el-menu-item>
    </template>
  </el-menu>
</template>

<script>
import { reqLogout } from "@/api/index";
export default {
  data() {
    return {
      activeIndex: "1",
      activeIndex2: "1",
    };
  },
  methods: {
    handleSelect(key, keyPath) {
      console.log(key, keyPath);
    },
    async logout() {
      await reqLogout();
      this.$store.state.login.isLogin = false;
      this.$router.push("/");
    },
  },
  computed: {
    //用户名信息
    userName() {
      return this.$store.state.login.LoginData.user_name;
    },
    isLogin() {
      return this.$store.state.login.isLogin;
    },
  },
};
</script>

<style>
.menu-container {
  display: flex;
  justify-content: space-around;
}
</style>